/* kmaster.h
 *
 * Pieter Eendebak ( pte@ddsw.nl )
 *
 */

#ifndef TOP_H
#define TOP_H

#include "includes.h"
#include "row.h"


class TopLevel : public KTopLevelWidget
{
	Q_OBJECT

public:
	TopLevel ( QWidget *parent=0, const char *name=0 );
	~TopLevel();
		
	int rows, rowsave;
	int level;
	int *code;
	int currentrow;
	
protected:
	void resizeEvent ( QResizeEvent * );
	void resizeEvent ();
	
	void createCode();
	void initKeys();
	void createMenu();
	void initConfig();
	void saveConfig();
	void setupPixMaps();	

	KConfig *config;
	KStdAccel *accel;

	KAudio *audio;

	KMenuBar *menu;
	QPopupMenu *file, *options, *mlevel, *help;

	QPushButton *play, *check;
	MasterRow **rijen;

	int sound, pixmaps;
	bool internalsound;

	QPixmap **pins;
	QString base;

signals:
	void requestSound(int);

public slots:
	void rowchange(int, int);
	void quitapp();
	bool initSound();
	void endSound();
	void playSound(int);
	void notImpl();

	void newgame();
	void load();
	void save();
	void setLevel(int);	
	void setPixMap(bool);
	void checkrow();
	void configkeys();
	void configmisc();
	void about();
	void helpmenu();
};

#endif
